//++
// eeload.h
//
// Copyright (C) 2000 by Robert Armstrong.
//
//   This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
//   You should have received a copy of the GNU General Public License along
// with this program; if not, visit the website of the Free Software
// Foundation, Inc., www.gnu.org.
//--

#define ROMSIZE	32768

// Standard LPT port addresses...
#define LPT1	0x378
#define LPT2	0x278
#define LPT3	0x3E8

// Public declarations for eemul.c ...
extern void ResetEmulator (UINT nPort);
extern UINT SizeEmulator (UINT nPort);
extern void LoadEmulator (UINT nPort, HPBYTE hpbLow, HPBYTE hpbHigh, UINT cbData);
extern void DumpEmulator (UINT nPort, HPBYTE hpbLow, HPBYTE hpbHigh, UINT cbData);
extern BOOL VerifyEmulator (UINT nPort, HPBYTE hpbLow, HPBYTE hpbHigh, UINT cbData);
